Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Stefan Monnier <[email-masked]>
Date: Thu, 17 Dec 2020 18:29:56 -0500

>>     if (WINDOWP (fselected_window) && XWINDOW (fselected_window) == w)
>> -    update_mode_lines = 42;
>> +    {
>> +      update_mode_lines = 2;
>> +      XFRAME (WINDOW_FRAME (w))->redisplay = true;
>> +    }
>>     else
>>       w->update_mode_line = true;
>
> Why penalize people with >= 2 windows per selected frame when scrolling
> one of them by updating all the others' mode, header, tab lines?

BTW, I don't quite understand this question, tho: my patch definitely
doesn't make things work any worse than they do now: currently, all
the mode-lines (and relatives) are updated on all windows on all frames.
My patch reduces this so it's only done on the selected frame (but still
all windows of that one frame, indeed :-(  ).

        Stefan